package system

import (
	"sun-panel/api/api_v1"
	"sun-panel/api/api_v1/middleware"

	"github.com/gin-gonic/gin"
)

func InitCustomStyleRouter(router *gin.RouterGroup) {
	api := api_v1.ApiGroupApp.ApiSystem.CustomStyleApi

	// 无需登录
	router.POST("/system/customStyle/get", api.Get)

	// 管理员才能修改
	rAdmin := router.Group("", middleware.LoginInterceptor, middleware.AdminInterceptor)
	rAdmin.POST("/system/customStyle/set", api.Set)
}
